##### dynamic_vector_buffer::dynamic_vector_buffer (1 of 2 overloads)

Construct a dynamic buffer from a string.

    dynamic_vector_buffer(
        std::vector< Elem, Allocator > & v,
        std::size_t maximum_size = (std::numeric_limits< std::size_t >::max)());

###### Parameters

v

  The vector to be used as backing storage for the dynamic buffer. Any existing data in the vector is treated as the dynamic buffer's input sequence. The object stores a reference to the vector and the user is responsible for ensuring that the vector object remains valid until the `dynamic_vector_buffer` object is destroyed.

maximum_size

  Specifies a maximum size for the buffer, in bytes.